# gds-input - React

## Import

```typescript
import { GdsInput } from '@sebgroup/green-core/react'
```

## Usage

Use the component as a React JSX element:

```tsx
<GdsInput>
  {/* content */}
</GdsInput>
```

## Event Handling

Events are handled using React event handler props. Event names are converted from kebab-case to camelCase with an "on" prefix:

| Web Component Event | React Handler Prop | Handler Example |
|---------------------|--------------------|-----------------|
| `gds-input-cleared` | `onGdsInputCleared` | `onGdsInputCleared={handler}` |
